/**
 * Shopware 5
 * Copyright (c) shopware AG
 *
 * According to our dual licensing model, this program can be used either
 * under the terms of the GNU Affero General Public License, version 3,
 * or under a proprietary license.
 *
 * The texts of the GNU Affero General Public License with an additional
 * permission and of our proprietary license can be found at and
 * in the LICENSE file you have received along with this program.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Affero General Public License for more details.
 *
 * "Shopware" is a registered trademark of shopware AG.
 * The licensing of the program under the AGPLv3 does not imply a
 * trademark license. Therefore any rights, title and interest in
 * our trademarks remain entirely with us.
 *
 * @category    Shopware
 * @package     Base
 * @subpackage  Attribute
 * @version     $Id$
 * @author      shopware AG
 */

//{namespace name="backend/attributes/fields"}

Ext.define('Shopware.form.field.CustomerSingleSelection', {
    extend: 'Shopware.form.field.SingleSelection',
    alias: 'widget.shopware-form-field-customer-single-selection',

    getComboConfig: function() {
        var me = this;
        var config = me.callParent(arguments);

        config.tpl = Ext.create('Ext.XTemplate',
            '<tpl for=".">',
            '<tpl if="company">',
            '<div class="x-boundlist-item">{literal}<b>{number}</b> - {firstname} {lastname} ({company}) - <i>{customerGroup}</i>{/literal}</div>',
            '<tpl else>',
            '<div class="x-boundlist-item">{literal}<b>{number}</b> - {firstname} {lastname} - <i>{customerGroup}</i>{/literal}</div>',
            '</tpl>',
            '</tpl>'
        );
        config.displayTpl = Ext.create('Ext.XTemplate',
            '<tpl for=".">',
            '<tpl if="company">',
            '{literal}{number} - {firstname} {lastname} ({company}) - {customerGroup}{/literal}',
            '<tpl else>',
            '{literal}{number} - {firstname} {lastname} - {customerGroup}{/literal}',
            '</tpl>',
            '</tpl>'
        );
        return config;
    }
});
